POST /api/v3/objects/{lcuid}/scoped-tags¶
Summary¶
POST /objects/{lcuid}/scoped-tags
Description¶
Create a new scoped tag
Tags: objects
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Required: Yes
Content Type: application/json¶
Schema¶
Type: object
Required fields: name
Properties:
name(string) (required): The name of the tagdescription(string): optional The description of the tag
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): The request succeededid(string): The lcuid of the objectclass(string): The class of the objecttag(object) Type:object
Properties:
name(string)description(string)created_at(string)updated_at(string)tag_slug(string)lcuid(string)-
parent(object) Type:objectProperties:
name(string)options(object) Type:object
Properties:
primary_image_public_url(string)-
primary_image_background_removed_public_url(string) -
lcuid(string) slug(string)website(string)description(string)created_at(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"id": "LCUID-LA-0eecbb8e-8f01-408b-9872-610513943325",
"class": "App\\Account",
"tag": {
"name": "test1",
"description": "This is a test",
"created_at": "2026-01-07T00:15:37.000000Z",
"updated_at": "2026-01-07T00:15:37.000000Z",
"tag_slug": "test1",
"lcuid": "LCUID-LTAG-4a3d168e-5f26-46fb-a319-cc7cec1a234e",
"parent": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-0eecbb8e-8f01-408b-9872-610513943325",
"slug": "UnitTestAccount7vwdp",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:15:37.000000Z",
"is_parent_account": false
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request POST \
"https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************" \
--data "{
\"name\": \"My Tag\",
\"description\": \"This is a tag\"
}"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
let body = {
"name": "My Tag",
"description": "This is a tag"
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->post(
'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
'json' => [
'name' => 'My Tag',
'description' => 'This is a tag',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags'
payload = {
"name": "My Tag",
"description": "This is a tag"
}
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('POST', url, headers=headers, json=payload)
response.json()